#include <stdint.h>

#define MESSAGE_SENT 		0x02
#define MESSAGE_RECEIVED 	0x04
#define SENDING		        0x02
#define RECEIVING	        0x04

extern uint8_t messageStatus;
extern uint8_t messageDirection;
extern char message[50];

uint8_t* Android_SYMM_received(uint8_t* buffer);
uint8_t* Android_send_CONNECT(uint8_t PFB);
uint8_t* Android_CONNECT_received(uint8_t* buffer, uint8_t DSAP, uint8_t SSAP);
uint8_t* Android_send_CC(uint8_t PFB, uint8_t DSAP, uint8_t SSAP);
uint8_t* Android_CC_received(uint8_t* buffer);
uint8_t* Android_send_I(uint8_t PFB);
uint8_t* Android_I_received(uint8_t* buffer);
uint8_t* Android_send_SYMM(uint8_t PFB);
uint8_t* Android_SNEP_received(uint8_t* buffer);
uint8_t* Android_send_DM(uint8_t PFB);
uint8_t* Android_RR_received(uint8_t* buffer);
uint8_t* Android_send_DISC(uint8_t PFB);
uint8_t* Android_send_RR(uint8_t PFB);